Page MenuHomePhabricator

Reword post edit notification to reflect save->publish change on mobile
Closed, ResolvedPublic

Description

Initially reported in T183901#3874213 and T183901#4093206

Event Timeline

Kaartic created this task.Mar 30 2018, 6:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2018, 6:25 AM
Jdlrobson added a subscriber: Jdlrobson.

@Deskana let me know if you need any review otherwise I'll assume editing have this under control.

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Apr 3 2018, 8:26 PM
Elitre added a subscriber: Elitre.Apr 4 2018, 6:13 PM

Change 495480 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/MobileFrontend@master] i18n: Reword Save to Publish buttons for mobile view sites

https://gerrit.wikimedia.org/r/495480

alexhollender added a comment.EditedMar 12 2019, 6:30 PM

Not clear on what the proposed change is?
Current: "Success! Your edit was saved"
Proposed: "Success! Your edit was published"

If that's the proposal, yes sounds fine to me

The patch as written also makes this change (switching save button to publish):

+1 If in doubt, see reasoning on parent tasks. The only remaining concern letting people stop from using the same terminology on mobile like on desktop from my memory was, that “Publish” takes up more space.
Compare German “Speichern” (“Save”) vs “Publizieren” {“Publish”)

Note also that the 'save' messages still exist and are used for private wikis.

Change 495480 had a related patch set uploaded (by Jdlrobson; owner: Derick Alangi):
[mediawiki/extensions/MobileFrontend@master] 18n: Reword Save to Publish buttons for mobile view sites

https://gerrit.wikimedia.org/r/495480

Change 495480 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] 18n: Reword Save to Publish buttons for mobile view sites

https://gerrit.wikimedia.org/r/495480

D3r1ck01 claimed this task.Mar 19 2019, 8:14 PM
D3r1ck01 triaged this task as Low priority.
D3r1ck01 edited projects, added User-D3r1ck01; removed Patch-For-Review.
D3r1ck01 moved this task from Backlog to Reviewed/Resolved on the User-D3r1ck01 board.

@Jdlrobson, any idea if there is something else to be done here for this to be resolved? Maybe it needs to pass through QA?

@Esanders I assume your team wants to QA? Can I leave this with you to either resolve or do that?

Jdlrobson moved this task from Incoming to QA on the VisualEditor (Current work) board.
Ryasmeen edited projects, added Verified; removed Editing QA.Mar 21 2019, 8:44 PM
Jdforrester-WMF closed this task as Resolved.Mar 21 2019, 8:53 PM
happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:34 AM